/*
 * aTunes 1.13.3
 * Copyright (C) 2006-2009 Alex Aranda, Sylvain Gaudard, Thomas Beckers and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.gui.views.controls;

import java.awt.Component;

import javax.swing.JFrame;

import net.sourceforge.atunes.gui.GuiUtils;
import net.sourceforge.atunes.gui.images.ImageLoader;

/**
 * The Class CustomFrame.
 */
public abstract class CustomFrame extends JFrame {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = -7162399690169458143L;

    /**
     * Default constructor
     */
    public CustomFrame() {
        super();
        setIconImage(ImageLoader.APP_ICON.getImage());
    }

    /**
     * Instantiates a new custom frame.
     * 
     * @param title
     * @param width
     * @param height
     * @param owner
     */
    public CustomFrame(String title, int width, int height, Component owner) {
        super(title);
        setSize(width, height);
        setLocationRelativeTo(owner);
        setIconImage(ImageLoader.APP_ICON.getImage());
    }

    /**
     * Enable close action with escape key.
     */
    public void enableCloseActionWithEscapeKey() {
        GuiUtils.addCloseActionWithEscapeKey(this, getRootPane());
    }

    /**
     * Enable dispose action with escape key.
     */
    public void enableDisposeActionWithEscapeKey() {
        GuiUtils.addDisposeActionWithEscapeKey(this, getRootPane());
    }

}
