/*
 * aTunes 1.13.3
 * Copyright (C) 2006-2009 Alex Aranda, Sylvain Gaudard, Thomas Beckers and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.kernel.modules.player.vlcplayer;

import net.sourceforge.atunes.kernel.modules.player.PlayerHandler;

/**
 * The Class MPlayerPositionThread.
 */
class VlcPlayerPositionThread extends Thread {

    /** The Constant STEP. */
    private static final int STEP = 200;

    /** The handler. */
    private VlcPlayerHandler handler;

    /**
     * Instantiates a new m player position thread.
     * 
     * @param handler
     *            the handler
     */
    VlcPlayerPositionThread(VlcPlayerHandler handler) {
        this.handler = handler;
    }

    @Override
    public void run() {
        try {
            while (true) {
                Thread.sleep(STEP);
                if (!handler.isPlaybackPaused()) {
                    if (handler != null && handler.getCommandWriter() != null) {
                        handler.getCommandWriter().sendGetPositionCommand();
                    }
                }
            }
        } catch (InterruptedException e) {
            PlayerHandler.notifyPlayerError(e);
        }
    }
}
