/*
 * aTunes 1.13.4
 * Copyright (C) 2006-2009 Alex Aranda, Sylvain Gaudard, Thomas Beckers and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.kernel.modules.repository.tags.writer;

import java.util.List;

import net.sourceforge.atunes.kernel.modules.repository.audio.AudioFile;
import net.sourceforge.atunes.utils.LanguageTool;

/**
 * The Class SetAlbumNamesProcess.
 */
public class SetAlbumNamesProcess extends ChangeTagProcess {

    /**
     * Instantiates a new sets the album names process.
     * 
     * @param files
     *            the files
     */
    SetAlbumNamesProcess(List<AudioFile> files) {
        super(files);
    }

    @Override
    protected void changeTag(AudioFile file) {
        if (file.getAlbum().equals(LanguageTool.getString("UNKNOWN_ALBUM"))) {
            // Take name from folder
            String albumName = file.getFile().getParentFile().getName();
            TagModifier.setAlbum(file, albumName);
        }
    }
}
